commit d3d27cd44a61133054de7ee4fa93690d4245c6a1
Author: freddy77 <freddy77>
Date:   Thu Jan 10 13:11:08 2008 +0000

    file blob1.c was added on branch BRANCH0_82 on 2008-01-10 13:13:46 +0000

commit 0b60151b80495fbe39b6b027189a871f889ea980
Author: freddy77 <freddy77>
Date:   Thu Jan 10 08:52:45 2008 +0000

    fix SQLNumResultCols() is wrong (+1) problem

diff --git b/ChangeLog a/ChangeLog
index ecb6523..edcfcba 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,8 +1,3 @@
-Thu Jan 10 09:51:23 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* TODO src/odbc/odbc.c src/odbc/unittests/.cvsignore:
-	* src/odbc/unittests/Makefile.am:
-	- small fix for hidden fields (ignore them entirely)
-
 Wed Jan  9  7:50:39 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac: preparing 0.82
 
diff --git b/src/odbc/odbc.c a/src/odbc/odbc.c
index 7d33b27..7180d23 100644
--- b/src/odbc/odbc.c
+++ a/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.1 2008/01/10 08:52:45 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.464 2008/01/06 10:48:43 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -2652,7 +2652,7 @@ odbc_ird_check(TDS_STMT * stmt)
 		return;
 
 	/* check columns number */
-	assert(ird->header.sql_desc_count <= cols || ird->header.sql_desc_count == 0);
+	assert(ird->header.sql_desc_count == cols || ird->header.sql_desc_count == 0);
 
 
 	/* check all columns */
@@ -2717,10 +2717,6 @@ odbc_populate_ird(TDS_STMT * stmt)
 		return SQL_SUCCESS;
 	num_cols = res_info->num_cols;
 
-	/* ignore hidden columns... TODO correct? */
-	while (num_cols > 0 && res_info->columns[num_cols - 1]->column_hidden == 1)
-		--num_cols;
-
 	if (desc_alloc_records(ird, num_cols) != SQL_SUCCESS) {
 		odbc_errs_add(&stmt->errs, "HY001", NULL);
 		return SQL_ERROR;
diff --git b/src/odbc/unittests/.cvsignore a/src/odbc/unittests/.cvsignore
index 1316adb..d6eea5a 100644
--- b/src/odbc/unittests/.cvsignore
+++ a/src/odbc/unittests/.cvsignore
@@ -62,4 +62,3 @@ cursor3
 cursor4
 cursor5
 attributes
-hidden
diff --git b/src/odbc/unittests/Makefile.am a/src/odbc/unittests/Makefile.am
index 8f38676..e68b0a4 100644
--- b/src/odbc/unittests/Makefile.am
+++ a/src/odbc/unittests/Makefile.am
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.68.2.1 2008/01/10 08:52:46 freddy77 Exp $
+# $Id: Makefile.am,v 1.68 2007/12/19 14:36:05 freddy77 Exp $
 TESTS		=	\
 			t0001$(EXEEXT) t0002$(EXEEXT) t0003$(EXEEXT)\
 			t0004$(EXEEXT) connect$(EXEEXT) print$(EXEEXT)\
@@ -20,7 +20,7 @@ TESTS		=	\
 			paramcore$(EXEEXT) timeout2$(EXEEXT) timeout3$(EXEEXT) \
 			connect2$(EXEEXT) timeout4$(EXEEXT) freeclose$(EXEEXT) \
 			cursor3$(EXEEXT) cursor4$(EXEEXT) cursor5$(EXEEXT) \
-			attributes$(EXEEXT) hidden$(EXEEXT)
+			attributes$(EXEEXT)
 
 check_PROGRAMS	=	$(TESTS)
 
@@ -77,7 +77,6 @@ cursor3_SOURCES	= cursor3.c common.c common.h
 cursor4_SOURCES	= cursor4.c common.c common.h
 cursor5_SOURCES	= cursor5.c common.c common.h
 attributes_SOURCES	= attributes.c common.c common.h
-hidden_SOURCES	= hidden.c common.c common.h
 
 AM_CPPFLAGS	=	-I$(top_srcdir)/include $(ODBC_INC) -DFREETDS_SRCDIR=\"$(srcdir)\"
 if MINGW32
